# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_GenExp Class Reference

This class permits, from a string, to create any
kind of expression of package Expr by using
built-in functions such as Sin,Cos, etc, and by
creating variables.
.

`#include <ExprIntrp_GenExp.hxx>`

Inheritance diagram for ExprIntrp_GenExp:

[legend]

## Public Member Functions

Standard_EXPORT void | Process (const TCollection_AsciiString &str)
| Processes given string. .
Standard_EXPORT Standard_Boolean | IsDone () const
| Returns false if any syntax error has occurred during process. .
Standard_EXPORT Handle_Expr_GeneralExpression | Expression () const
| Returns expression generated. Raises an exception if IsDone answers false. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_ExprIntrp_GenExp | Create ()

## Private Member Functions

Standard_EXPORT | ExprIntrp_GenExp ()
| Creates an empty generator .

## Private Attributes

Standard_Boolean | done
Handle_Expr_GeneralExpression | myExpression

## Constructor & Destructor Documentation

Standard_EXPORT ExprIntrp_GenExp::ExprIntrp_GenExp | ( |  | ) | `[private]`

## Member Function Documentation

static Standard_EXPORT Handle_ExprIntrp_GenExp ExprIntrp_GenExp::Create | ( |  | ) | `[static]`

Standard_EXPORT Handle_Expr_GeneralExpression ExprIntrp_GenExp::Expression | ( |  | ) | const

Standard_EXPORT const ExprIntrp_GenExp::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from ExprIntrp_Generator.

Standard_EXPORT Standard_Boolean ExprIntrp_GenExp::IsDone | ( |  | ) | const

Standard_EXPORT void ExprIntrp_GenExp::Process | ( | const TCollection_AsciiString & | str | ) |

## Field Documentation

Standard_Boolean ExprIntrp_GenExp::done `[private]`

Handle_Expr_GeneralExpression ExprIntrp_GenExp::myExpression `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_GenExp.hxx